

# 
# Base de donnes: `nf17`
# User : 'root'
# Pass : ''
#




# --------------------------------------------------------

#
# Structure de la table `campagne`
#

DROP TABLE IF EXISTS `campagne`;
CREATE TABLE `campagne` (
  `numCampagne` int(11) NOT NULL auto_increment,
  `nomCampagne` text NOT NULL,
  `dateDebCampagne` date NOT NULL default '0000-00-00',
  `dateFinCampagne` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`numCampagne`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Contenu de la table `campagne`
#

INSERT INTO `campagne` (`numCampagne`, `nomCampagne`, `dateDebCampagne`, `dateFinCampagne`) VALUES (1, 'Campagne de test', '0000-00-00', '2006-10-10');

# --------------------------------------------------------

#
# Structure de la table `categorie`
#

DROP TABLE IF EXISTS `categorie`;
CREATE TABLE `categorie` (
  `numCategorie` int(11) NOT NULL auto_increment,
  `nomCategorie` text NOT NULL,
  `idPere` int(11) default NULL,
  `imageCategorie` text NOT NULL,
  PRIMARY KEY  (`numCategorie`)
) TYPE=MyISAM AUTO_INCREMENT=16 ;

#
# Contenu de la table `categorie`
#

INSERT INTO `categorie` (`numCategorie`, `nomCategorie`, `idPere`, `imageCategorie`) VALUES (1, 'Panier et vannerie', NULL, 'r_371_7.jpg'),
(2, 'Le bureau', NULL, 'r_37_2.jpg'),
(3, 'La musique', NULL, 'r_60_1.jpg'),
(4, 'La papeterie', NULL, 'r_62_1.jpg'),
(5, 'Les bijoux', NULL, 'r_55_3.jpg'),
(6, 'Jeux et jouets', NULL, 'r_21_3.jpg'),
(7, 'La maison', NULL, 'r_44_3.jpg'),
(8, 'Alimentaire', NULL, 'r_16_5.jpg'),
(9, 'Catalogue 2005-2006', NULL, 'r_377.jpg'),
(10, 'Le jardin', NULL, 'r_372_4.jpg'),
(11, 'Le textile', NULL, 'r_369_4.jpg'),
(12, 'Les soins du corps', NULL, 'r_63_4.jpg'),
(13, 'Les instruments', 3, '477_1.jpg'),
(14, 'Range CD', 3, '491.jpg'),
(15, 'Jeux et musique printemps', 3, '518.jpg');

# --------------------------------------------------------

#
# Structure de la table `fournisseur`
#

DROP TABLE IF EXISTS `fournisseur`;
CREATE TABLE `fournisseur` (
  `numFournisseur` smallint(6) NOT NULL auto_increment,
  `nomFournisseur` varchar(50) NOT NULL default '',
  `paysFournisseur` text NOT NULL,
  PRIMARY KEY  (`numFournisseur`),
  UNIQUE KEY `nomFournisseur` (`nomFournisseur`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Contenu de la table `fournisseur`
#

INSERT INTO `fournisseur` (`numFournisseur`, `nomFournisseur`, `paysFournisseur`) VALUES (1, 'Noah\'s Ark', 'inde');

# --------------------------------------------------------

#
# Structure de la table `info_prod`
#

DROP TABLE IF EXISTS `info_prod`;
CREATE TABLE `info_prod` (
  `numInfo` bigint(20) NOT NULL auto_increment,
  `produit` int(11) NOT NULL default '0',
  `nomChamp` text NOT NULL,
  `information` text NOT NULL,
  PRIMARY KEY  (`numInfo`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Contenu de la table `info_prod`
#

INSERT INTO `info_prod` (`numInfo`, `produit`, `nomChamp`, `information`) VALUES (1, 1, 'Dimension', '15x15x14cm');

# --------------------------------------------------------

#
# Structure de la table `prix`
#

DROP TABLE IF EXISTS `prix`;
CREATE TABLE `prix` (
  `numPrix` bigint(20) NOT NULL auto_increment,
  `produit` int(11) NOT NULL default '0',
  `dateDebPrix` date NOT NULL default '0000-00-00',
  `dateFinPrix` date NOT NULL default '0000-00-00',
  `prixEuros` float NOT NULL default '0',
  PRIMARY KEY  (`numPrix`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

#
# Contenu de la table `prix`
#

INSERT INTO `prix` (`numPrix`, `produit`, `dateDebPrix`, `dateFinPrix`, `prixEuros`) VALUES (1, 1, '0000-00-00', '2006-10-01', '11.9'),
(2, 2, '0000-00-00', '2006-10-01', '19.9'),
(3, 3, '0000-00-00', '2006-10-01', '28.9'),
(4, 4, '0000-00-00', '2006-10-01', '16.5');

# --------------------------------------------------------

#
# Structure de la table `produit`
#

DROP TABLE IF EXISTS `produit`;
CREATE TABLE `produit` (
  `numProduit` int(11) NOT NULL auto_increment,
  `refProduit` varchar(6) NOT NULL default '',
  `nomProduit` text NOT NULL,
  `descrProduit` text NOT NULL,
  `prixProduit` float NOT NULL default '0',
  `imageProduit` text NOT NULL,
  `categorie` int(11) NOT NULL default '0',
  `fournisseur` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`numProduit`),
  UNIQUE KEY `refProduit` (`refProduit`),
  FULLTEXT KEY `refProduit_2` (`refProduit`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

#
# Contenu de la table `produit`
#

INSERT INTO `produit` (`numProduit`, `refProduit`, `nomProduit`, `descrProduit`, `prixProduit`, `imageProduit`, `categorie`, `fournisseur`) VALUES (1, '24251A', 'Range CD un Compartiment', 'Range CD 1 compartiment. Les compartiments en carr permettent de placer les range CD et les CD de manire horizontale ou verticale. En bois de Sesham massif incrust de motifs en laiton.', '11.9', 'boutique_artisan_du_monde_v_24251A.jpg', 14, 1),
(2, '24252A', 'Range CD deux Compartiments', '', '19.9', 'boutique_artisan_du_monde_v_24252A.jpg', 14, 1),
(3, '24253A', 'Range CD Trois Compartiments', '', '28.9', 'boutique_artisan_du_monde_v_24253A.jpg', 14, 1),
(4, '24205A', 'Range Cd', '', '16.5', 'boutique_artisan_du_monde_v_24205A.jpg', 14, 1);

# --------------------------------------------------------

#
# Structure de la table `produit_panier`
#

DROP TABLE IF EXISTS `produit_panier`;
CREATE TABLE `produit_panier` (
  `produit` bigint(20) NOT NULL default '0',
  `panier` bigint(20) NOT NULL default '0',
  `nombre` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`produit`,`panier`)
) TYPE=MyISAM;

#
# Contenu de la table `produit_panier`
#


# --------------------------------------------------------

#
# Structure de la table `promo_groupe`
#

DROP TABLE IF EXISTS `promo_groupe`;
CREATE TABLE `promo_groupe` (
  `prix_produit` bigint(20) NOT NULL default '0',
  `campagne` int(11) NOT NULL default '0',
  `taux` float NOT NULL default '0',
  PRIMARY KEY  (`prix_produit`,`campagne`)
) TYPE=MyISAM;

#
# Contenu de la table `promo_groupe`
#

INSERT INTO `promo_groupe` (`prix_produit`, `campagne`, `taux`) VALUES (3, 1, '0.2');

# --------------------------------------------------------

#
# Structure de la table `promotion`
#

DROP TABLE IF EXISTS `promotion`;
CREATE TABLE `promotion` (
  `numPromotion` bigint(20) NOT NULL auto_increment,
  `prix_produit` bigint(20) NOT NULL default '0',
  `dateDebPromo` date NOT NULL default '0000-00-00',
  `dateFinPromo` date NOT NULL default '0000-00-00',
  `tauxPromo` float NOT NULL default '0',
  PRIMARY KEY  (`numPromotion`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Contenu de la table `promotion`
#

INSERT INTO `promotion` (`numPromotion`, `prix_produit`, `dateDebPromo`, `dateFinPromo`, `tauxPromo`) VALUES (1, 2, '0000-00-00', '2006-10-10', '0.2');
